actions: []
api_documentation: http://docs.ros.org/hydro/api/ardrone_autonomy/html
authors: Mani Monajjemi, Mani Monajjemi
brief: ''
bugtracker: https://github.com/AutonomyLab/ardrone_autonomy/issues
depends:
- nav_msgs
- git
- image_transport
- roscpp
- message_runtime
- libxml2
- camera_info_manager
- sensor_msgs
- gtk2
- roslint
- binutils
- daemontools
- libiw-dev
- tf
- sdl
- std_srvs
- catkin
- message_generation
- libudev-dev
depends_on:
- rosjava_messages
description: ardrone_autonomy is a ROS driver for Parrot AR-Drone 1.0 and 2.0 quadrocopters.
  This driver is based on official AR-Drone SDK version 2.0.1.
devel_jobs:
- devel-hydro-ardrone_autonomy
doc_job: doc-hydro-ardrone_autonomy
has_changelog_rst: true
license: BSD
maintainer_status: developed
maintainers: Mani Monajjemi <mmonajje@sfu.ca>
msgs:
- navdata_vision_of
- navdata_raw_measures
- navdata_vision_raw
- vector31
- navdata_pressure_raw
- navdata_wind_speed
- navdata_trackers_send
- navdata_adc_data_frame
- navdata_trims
- navdata_references
- navdata_watchdog
- navdata_magneto
- navdata_video_stream
- navdata_games
- navdata_vision_perf
- navdata_wifi
- navdata_time
- navdata_euler_angles
- navdata_altitude
- navdata_rc_references
- navdata_pwm
- navdata_gyros_offsets
- navdata_phys_measures
- navdata_zimmu_3000
- navdata_demo
- matrix33
- Navdata
- navdata_vision_detect
- navdata_vision
- navdata_hdvideo_stream
- vector21
- navdata_kalman_pressure
package_type: package
release_jobs:
- ros-hydro-ardrone-autonomy_sourcedeb
- ros-hydro-ardrone-autonomy_binarydeb_precise_amd64
- ros-hydro-ardrone-autonomy_binarydeb_precise_i386
- ros-hydro-ardrone-autonomy_binarydeb_quantal_amd64
- ros-hydro-ardrone-autonomy_binarydeb_quantal_i386
- ros-hydro-ardrone-autonomy_binarydeb_raring_amd64
- ros-hydro-ardrone-autonomy_binarydeb_raring_i386
repo_name: ardrone_autonomy
repo_url: ''
srvs:
- RecordEnable
- FlightAnim
- LedAnim
- CamSelect
timestamp: 1440756474.201438
url: http://wiki.ros.org/ardrone_autonomy
vcs: git
vcs_uri: https://github.com/AutonomyLab/ardrone_autonomy.git
vcs_version: hydro-devel
